org.apache.sling.discovery.impl.common.resource

## Class EstablishedInstanceDescription

- java.lang.Object
- - org.apache.sling.discovery.commons.providers.DefaultInstanceDescription
  - - org.apache.sling.discovery.impl.common.resource.EstablishedInstanceDescription

All Implemented Interfaces:
  org.apache.sling.discovery.InstanceDescription

    public class EstablishedInstanceDescription
    extends org.apache.sling.discovery.commons.providers.DefaultInstanceDescription

An InstanceDescription which reads the properties from the according location in the repository

### Field Summary

### Fields inherited from interface org.apache.sling.discovery.InstanceDescription

`PROPERTY_DESCRIPTION, PROPERTY_ENDPOINTS, PROPERTY_NAME`

### Constructor Summary

Constructors
Constructor and Description
`EstablishedInstanceDescription(org.apache.sling.discovery.commons.providers.DefaultClusterView clusterView, org.apache.sling.api.resource.Resource res, String slingId, boolean isLeader, boolean isOwn)`

### Method Summary

### Methods inherited from class org.apache.sling.discovery.commons.providers.DefaultInstanceDescription

`equals, getClusterView, getProperties, getProperty, getSlingId, hashCode, isLeader, isLocal, setProperties, setProperty, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EstablishedInstanceDescription

    public EstablishedInstanceDescription(org.apache.sling.discovery.commons.providers.DefaultClusterView clusterView,
                                          org.apache.sling.api.resource.Resource res,
                                          String slingId,
                                          boolean isLeader,
                                          boolean isOwn)